Package com.ngrok.definitions

# Class EventTarget

java.lang.Object
com.ngrok.definitions.EventTarget

public class EventTarget extends Object
A class encapsulating the `EventTarget` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EventTarget.Builder`
  Builder class for `EventTarget`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<EventTargetCloudwatchLogs>`
  `getCloudwatchLogs()`
  Configuration used to send events to Amazon CloudWatch Logs.
  `Optional<EventTargetFirehose>`
  `getFirehose()`
  Configuration used to send events to Amazon Kinesis Data Firehose.
  `Optional<EventTargetKinesis>`
  `getKinesis()`
  Configuration used to send events to Amazon Kinesis.
  `int`
  `hashCode()`
  `static EventTarget.Builder`
  `newBuilder()`
  Creates a new builder for the `EventTarget` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EventTarget.Builder newBuilder()
    Creates a new builder for the `EventTarget` type.
    Returns:
      a new `EventTarget.Builder`

  - ### getFirehose

    public Optional<EventTargetFirehose> getFirehose()
    Configuration used to send events to Amazon Kinesis Data Firehose.
    Returns:
      the value of the property as a `EventTargetFirehose` wrapped in an `Optional`

  - ### getKinesis

    public Optional<EventTargetKinesis> getKinesis()
    Configuration used to send events to Amazon Kinesis.
    Returns:
      the value of the property as a `EventTargetKinesis` wrapped in an `Optional`

  - ### getCloudwatchLogs

    public Optional<EventTargetCloudwatchLogs> getCloudwatchLogs()
    Configuration used to send events to Amazon CloudWatch Logs.
    Returns:
      the value of the property as a `EventTargetCloudwatchLogs` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`